# norootforbuild

# Packmangroup: Other
# Packmanpackagename: scidavis
# Packman: Quentin Denis

Name:		scidavis
Summary:	SciDAVis is a free application for Scientific Data Analysis and Visualization
License:	GPL
Group:		Productivity/Scientific/Math
Url: 		http://scidavis.sourceforge.net/
Version:	0.2.4
Release:	0.pm.33.1

#Packager:	Quentin Denis <quentin@links2linux.de>
#Vendor:		Packman
#Distribution:	%distribution

Source0:	http://surfnet.dl.sourceforge.net/sourceforge/%{name}/scidavis-%{version}.tar.bz2
#Source1:	http://surfnet.dl.sourceforge.net/sourceforge/%{name}/scidavis-0.1.2_translations_2008-02-03.tar.bz2

#manual is too old, I disabled it
#Source2:	http://surfnet.dl.sourceforge.net/sourceforge/%{name}/scidavis-manual-0.1_2008-02-28.tar.bz2
Source6:	scidavis.desktop
#Source7:	scidavis.desktop.mimelnk
#Source8:	scidavis.pro

Patch0:	%{name}-0.2.4.patch


BuildRequires: docbook2x

%if %suse_version >=1140

Patch1:	%{name}-0.2.4-qassistantclient.patch
BuildRequires: qt4-assistant-adp-devel
%endif

%if %suse_version >=1120
BuildRequires: python-qt4-devel
%else
BuildRequires: python-qt4
%endif

BuildRequires: python-devel python-sip

BuildRequires:	libqt4-devel-doc gsl Mesa-devel gsl-devel libmuparser0-devel libqt4-devel qwt-devel libqwtplot3d-devel

BuildRequires:	libstdc++-devel unzip fontconfig zlib-devel docbook-utils

#scidavis has apparently some messy code, so we need this


BuildRoot:	%{_tmppath}/%{name}-%{version}-build


%description
SciDAVis is a user-friendly data analysis and visualization program primarily
aimed at high-quality plotting of scientific data. It strives to combine an
intuitive, easy-to-use graphical user interface with powerful features such
as Python scriptability.


%package manual
Summary:	Additional manual for SciDAVis
Group:		Documentation/Other

%description manual
This package contains the manual for SciDAVis.


%prep

%setup -q -n %{name}-%{version}
%patch0 -p1

%if %suse_version >= 1140
%patch1 -p1
%endif

%build
export CFLAGS="$RPM_OPT_FLAGS -fstack-protector"
export CXXFLAGS="$RPM_OPT_FLAGS -fstack-protector"
export PATH=$QTDIR/bin:$PATH

# build the man page
#docbook-to-man man/manpage.sgml 

# build scidavis

qmake scidavis.pro
%__make 


%install
%__make INSTALL_ROOT="%{buildroot}" install

#mkdir -p %{buildroot}%{_prefix}/bin/
#install -m 755 scidavis/scidavis %{buildroot}%{_prefix}/bin/

mkdir -p %{buildroot}%{_datadir}/%{name}/translations
cp scidavis/translations/scidavis_*.qm %{buildroot}%{_datadir}/%{name}/translations/

mkdir -p %{buildroot}%{_datadir}/pixmaps
cp scidavis-logo.png %{buildroot}%{_datadir}/pixmaps/scidavis.png

mkdir -p %{buildroot}%{_datadir}/applications
install %{SOURCE6} %{buildroot}%{_datadir}/applications/

#mkdir -p %{buildroot}%{_datadir}/mimelnk
#install %{SOURCE3} %{buildroot}%{_datadir}/mimelnk/

#mkdir -p %{buildroot}%{_datadir}/doc/packages/%{name}/
#mkdir -p manual-en
#tar -xf %{SOURCE2} -C manual-en/
## remove the svn metadata
#pushd manual-en/
#find . -name .svn -type d | xargs rm -rf

# move doc to the correct place:
#mv %{buildroot}%{_datadir}/doc/packages/%{name}/manual/ %{buildroot}%{_datadir}/doc/packages/%{name}/manual-en/
#mv manual manual-en
#popd
%clean
%__rm -rf "%{buildroot}"


%files
%defattr(-,root,root)
%doc CHANGES README gpl.txt INSTALL.html scidavis-logo.png scidavis.css
%{_bindir}/scidavis
%{_libdir}/scidavis/plugins/*
%{_datadir}/scidavis/scidavisUtil.py
%{_datadir}/applications/*
#%{_datadir}/mimelnk/*
%{_datadir}/pixmaps/*
#%{_datadir}/doc/*
%{_datadir}/scidavis/translations/scidavis_*.qm
%{_datadir}/icons/*
%{_datadir}/mime/packages/scidavis.xml
%{_datadir}/mimelnk/application/x-sciprj.desktop
%{_sysconfdir}/scidavisrc.py

#%files manual
#%defattr(-,root,root)
#%doc manual-en/*


%changelog
* Thu Oct 28 2010 Leon Freitag <leon@links2linux.de>
- update to version 0.2.4, official 0.2.4 changelog:
Most important changes since 0.2.3:
- Some parts of the Python API have been marked as deprecated and generate warnings when used. This
  may be a bit unusual for a bugfix release; on the other hand, they won't be removed any time soon
  and inserting the deprecation warnings now will give everyone as much time as possible for getting
  accustomed to the API we're moving towards.
  Most prominently,
    Table.cell(column,row) and
	 Table.setCell(column,row,value)
  are deprecated in favour of
    Table.column(column - 1).valueAt(row - 1) and
    Table.column(column - 1).setValueAt(row - 1, value)
  (note that the column/row INDICES DIFFER BY ONE!); the same goes for
    Table.text(c,r) -> Table.column(c - 1).textAt(r - 1) and
    Table.setText(c,r,text) -> Table.column(c - 1).setTextAt(r - 1,text).
  This serves multiple purposes. It simplifies the interfaces by grouping all functionality specific
  to a certain column in the Column class; it allows column objects to be stored and passed around;
  and it moves from the unconventional 1-based indexing to the more conventional 0-based indexing.
  Future additions to the API will increasingly make use of the columns-as-objects paradigm.
- lots of bugfixes, again including crashes
- fixed compatibility issues with Qt 4.6 and SIP 4.9
- performance improvements
- substantially improved support for plots involving date/time data
- added two Czech translations: a default one by Pavel Fric (feedback requested via
  http://fripohled.blogspot.com) and an alternative one by Jan Helebrant
- updated Spanish translation, thanks to Mauricio Troviano; Brazilian Portuguese translation, thanks
  to Fellyp do Nascimento; and German translation
- fixed and extended many parts of the API for Python scripts, including the new methods
    Layer.pickPoint()
	 MDIWindow.clone()
	 Folder.save(filename)
	 newGraph(string)
	 Layer.printDialog()
	 Graph.printDialog()
	 Layer.setRightTitle(string)
	 Layer.setTopTitle(string)
	 Layer.grid() # => returns an instance of the new class Grid
	 Layer.insertFunctionCurve(formula,from=0,to=1,points=100,title="")
	 Layer.insertPolarCurve(radial_formula,angular_formula,from=0,to=2*pi,parameter="t",points=100,title="")
	 Layer.insertParametricCurve(x_formal,y_formula,from=0,to=1,parameter="t",points=100,title="")
	 Matrix.recalculate()
  the constants QwtPlot.yLeft, QwtPlot.yRight, QwtPlot.xBottom, QwtPlot.xTop for specifying axes
  and the Grid class
- multiple graphs can have active tools simultaneously
- based on user feedback, the default behaviour when importing ASCII files has been changed to
  interpret the data as numeric (only applies to fresh installations of SciDAVis)
- automatic resizing of table rows for multi-line cells intentionally dropped, because this seems
  to be rarely needed and has a huge impact on performance for large tables
For older changes, see the CHANGES file in the documentation.

* Thu Mar 26 2009 Leon Freitag <leon@links2linux.de>
- update to version 0.2.1, official 0.2.1 changelog:
This is the first bugfix release in the 0.2 series. Most importantly, saving project files containing fit/function curves works again. Other fixes include:
 - fixed opening of backup copy on discovery of a corrupt project file 
 - Spanish translation update by Mauricio Troviano 
 - fixed several regressions introduced by the table/matrix rewrites in 0.2.0 
 - added per mille and per ten thousand signs to SymbolDialog 
 - compatibility problems between SIP versions triggers a warning instead of a crash (happens sometimes when SIP version at runtime differs from the one  used at compile time) 
Changes from 0.1.4 to 0.2.0:
Most important changes (since 0.1.4) 
 - multi-level undo/redo for all operations on tables and matrices 
 - many operations on tables and matrices now support non-contiguous selections 
 - the important options/controls for matrices and tables are now integrated in a sidebar 
 of control tabs which make working with column or matrix based data much more 
 convenient (almost no more opening and closing of dialogs necessary) 
 - tables now support different formulas for each cell 
 - numeric values are now stored independent of their textual representation, i.e., you don't lose data when hiding decimal digits 
 - formula edit mode: tables feature a new mode which allows the user to individually edit the formula for each cell  
 - invalid cells: tables now mark cells without input as invalid rather than treating them as 0; these cells are ignored in plots 
 - date/time values are now internally stored as QDateTime objects which opens up many 
 new possibilities of date/time manipulation using PyQt/Python scripting 
 - many bug fixes 
* Sun May 4 2008 Leon Freitag <leon@links2linux.de>
- moved the manual to /usr/share/doc/packages/scidavis-manual
- updated to version 0.1.3, official 0.1.3 changelog:
Most important changes (since 0.1.2) 
 - page orientation for PDF/EPS export can now be chosen manually 
 - executing script code now gives a visual feedback 
 - new Windows installer 
 - many improvements to make compilation and Linux packaging easier 
 - fixed graph duplication 
 - fixed unnecessary graph rescaling 
 - several other bugs fixed
* Tue Aug 07 2007 Quentin Denis <quentin@links2linux.de>
- initial package for SUSE
